//
//  Widgets.swift
//  Widgets
//
//  Created by Shadowfacts on 6/19/22.
//

import WidgetKit
import SwiftUI
import Intents

@main
struct Widgets: Widget {
    var body: some WidgetConfiguration {
        IntentConfiguration(kind: "recents", intent: ConfigurationIntent.self, provider: RecentsProvider()) { entry in
            RecentsEntryView(entry: entry)
        }
        .configurationDisplayName("Recent Articles")
        .description("Recently posted articles from your feeds.")
        .supportedFamilies([.systemSmall, .systemMedium, .systemLarge, .systemExtraLarge])
    }
}

